Subject: [netatalk-admins] Systematic changing of Mac filetypes

From: Bryan <[email-masked]>
Date: Thu, 25 Feb 1999 00:58:23 -0500

Hello;

I have netatalk running successfully... I'm quite pleased with how
efficient it is with dishing out files.

I am searching for the simplest way to "file type" files on appleshare
exported volumes, (ie. assign them a type and creator).
I need to do this systematically, on a per-file basis, FROM a Linux
box.

In my particular case, filename extension mapping isn't appropriate.
What I need to accomplish is this:

A user sends a file to my Linux via FTP, where this (yet-to-be-named-
process) "file types" it when the ftpd post-processes it;

I can set up the ftpd to run any command I want as soon as a file is
recieved, so the easiest way is to filetype files based on the USERNAME
that sent them.

Any help on this would be greatly appreciated!  Thank you!
¿Bryan Shannon?